import request from '@/utils/request'

export const getRecordFileTree = (params) => {
  return request({
    url: '/point-strategy/v/recordFile/getRecordFileTree',
    method: 'get',
    params
  })
}

export const addRecordFile = (data) => {
  return request({
    url: '/point-strategy/v/recordFile/addRecordFile',
    method: 'post',
    data
  })
}

export const deleteRecordNode = (params) => {
  return request({
    url: '/point-strategy/v/recordFile/deleteRecordNode',
    method: 'post',
    params
  })
}

export const addRootRecordFile = (data) => {
  return request({
    url: '/point-strategy/v/recordFile/addRootRecordFile',
    method: 'post',
    data
  })
}

export const selectChildById = (params) => {
  return request({
    url: '/point-strategy/v/recordFile/selectChildById',
    method: 'post',
    params
  })
}

export const getRecordFileTreeByClassName = (data) => {
  return request({
    url: '/point-strategy/v/classTree/getRecordFileTreeByClassName',
    method: 'post',
    data
  })
}

export const getRecordFileNoEntity = (data) => {
  return request({
    url: '/point-strategy/v/classTree/getRecordFileNoEntity',
    method: 'post',
    data
  })
}

export const selectRecordFile = (data,params) => {
  return request({
    url: '/point-strategy/v/recordFile/selectRecordFile',
    method: 'post',
    params,
    data
  })
}

// 敏感词过滤
export const selectRecordFile3 = (data,params) => {
  return request({
    url: '/point-strategy/v/recordFile/selectRecordFile3',
    method: 'post',
    params,
    data
  })
}